(function() {
	window.app.filter("parseDate",
	[
		function() {
			return function(input) {
				if (typeof input != "string" || input.indexOf("/Date") === -1) return input;

				return new Date(parseInt(input.substr(6)));
			};
		}
	]);
})();